package info.bukova.isspst.reporting;


public class Report {

	private ReportType type;
	private String name;
	private String jasperFile;
	private boolean hasSettings;
	private boolean singleRecord;
	
	public Report() {
		hasSettings = false;
		singleRecord = false;
	}
	
	/**
	 * @param name
	 * @param jasperFile
	 */
	public Report(String name, String jasperFile) {
		this();
		this.type = ReportType.DEFINED;
		this.name = name;
		this.jasperFile = jasperFile;
	}
	
	/**
	 * @param name
	 * @param jasperFile
	 * @param hasSettings
	 */
	public Report(String name, String jasperFile, boolean hasSettings) {
		this(name, jasperFile);
		this.hasSettings = hasSettings;
	}
	
	/**
	 * @param name
	 * @param jasperFile
	 * @param hasSettings
	 * @param singleRecord
	 */
	public Report(String name, String jasperFile, boolean hasSettings, boolean singleRecord) {
		this(name, jasperFile, hasSettings);
		this.singleRecord = singleRecord;
	}

	public ReportType getType() {
		return type;
	}

	public void setType(ReportType type) {
		this.type = type;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getJasperFile() {
		return jasperFile;
	}

	public void setJasperFile(String jasperFile) {
		this.jasperFile = jasperFile;
	}

	public boolean isHasSettings() {
		return hasSettings;
	}

	public void setHasSettings(boolean hasSettings) {
		this.hasSettings = hasSettings;
	}

	public boolean isSingleRecord() {
		return singleRecord;
	}

	public void setSingleRecord(boolean singleRecord) {
		this.singleRecord = singleRecord;
	}

}
